uninitialized constant Rails::Plugin::GanttsController #75

Open
cforce opened this Issue Jun 27, 2012 · 1 comment

Comments

Projects
None yet
2 participants

cforce commented Jun 27, 2012

We just updated to redmine1.4 and tried to create new sessions store.
Rajke stops with error for redmine_better_gant_chart in today head version.

Please help!

/opt/infomine-1.4.x # rake generate_session_store RAILS_ENV=production --trace
Please install RDoc 2.4.2+ to generate documentation.
rake aborted!
uninitialized constant Rails::Plugin::GanttsController
/usr/lib64/ruby/gems/1.8/gems/activesupport-2.3.14/lib/active_support/dependencies.rb:131:in const_missing' /opt/infomine-1.4.x/vendor/plugins/redmine_better_gantt_chart/init.rb:26:inevaluate_init_rb'
/usr/lib64/ruby/gems/1.8/gems/activesupport-2.3.14/lib/active_support/callbacks.rb:182:in call' /usr/lib64/ruby/gems/1.8/gems/activesupport-2.3.14/lib/active_support/callbacks.rb:182:inevaluate_method'
/usr/lib64/ruby/gems/1.8/gems/activesupport-2.3.14/lib/active_support/callbacks.rb:166:in call' /usr/lib64/ruby/gems/1.8/gems/activesupport-2.3.14/lib/active_support/callbacks.rb:90:inrun'
/usr/lib64/ruby/gems/1.8/gems/activesupport-2.3.14/lib/active_support/callbacks.rb:90:in each' /usr/lib64/ruby/gems/1.8/gems/activesupport-2.3.14/lib/active_support/callbacks.rb:90:insend'
/usr/lib64/ruby/gems/1.8/gems/activesupport-2.3.14/lib/active_support/callbacks.rb:90:in run' /usr/lib64/ruby/gems/1.8/gems/activesupport-2.3.14/lib/active_support/callbacks.rb:276:inrun_callbacks'
/usr/lib64/ruby/gems/1.8/gems/actionpack-2.3.14/lib/action_controller/dispatcher.rb:51:in send' /usr/lib64/ruby/gems/1.8/gems/actionpack-2.3.14/lib/action_controller/dispatcher.rb:51:inrun_prepare_callbacks'
/usr/lib64/ruby/gems/1.8/gems/rails-2.3.14/lib/initializer.rb:631:in prepare_dispatcher' /usr/lib64/ruby/gems/1.8/gems/rails-2.3.14/lib/initializer.rb:185:inprocess'
/usr/lib64/ruby/gems/1.8/gems/rails-2.3.14/lib/initializer.rb:113:in send' /usr/lib64/ruby/gems/1.8/gems/rails-2.3.14/lib/initializer.rb:113:inrun'
/opt/infomine-1.4.x/config/environment.rb:21
/usr/lib64/ruby/gems/1.8/gems/activesupport-2.3.14/lib/active_support/dependencies.rb:182:in require' /usr/lib64/ruby/gems/1.8/gems/activesupport-2.3.14/lib/active_support/dependencies.rb:182:inrequire'
/usr/lib64/ruby/gems/1.8/gems/activesupport-2.3.14/lib/active_support/dependencies.rb:547:in new_constants_in' /usr/lib64/ruby/gems/1.8/gems/activesupport-2.3.14/lib/active_support/dependencies.rb:182:inrequire'
/opt/infomine-1.4.x/vendor/plugins/redmine_digest/lib/tasks/digest.rake:31
/usr/lib64/ruby/gems/1.8/gems/activesupport-2.3.14/lib/active_support/dependencies.rb:171:in load_without_new_constant_marking' /usr/lib64/ruby/gems/1.8/gems/activesupport-2.3.14/lib/active_support/dependencies.rb:171:inload'
/usr/lib64/ruby/gems/1.8/gems/activesupport-2.3.14/lib/active_support/dependencies.rb:547:in new_constants_in' /usr/lib64/ruby/gems/1.8/gems/activesupport-2.3.14/lib/active_support/dependencies.rb:171:inload'
/usr/lib64/ruby/gems/1.8/gems/rails-2.3.14/lib/tasks/rails.rb:13
/usr/lib64/ruby/gems/1.8/gems/rails-2.3.14/lib/tasks/rails.rb:13:in each' /usr/lib64/ruby/gems/1.8/gems/rails-2.3.14/lib/tasks/rails.rb:13 /opt/infomine-1.4.x/Rakefile:15:inrequire'
/opt/infomine-1.4.x/Rakefile:15
/usr/lib64/ruby/gems/1.8/gems/rake-0.9.2.2/lib/rake/rake_module.rb:25:in load' /usr/lib64/ruby/gems/1.8/gems/rake-0.9.2.2/lib/rake/rake_module.rb:25:inload_rakefile'
/usr/lib64/ruby/gems/1.8/gems/rake-0.9.2.2/lib/rake/application.rb:501:in raw_load_rakefile' /usr/lib64/ruby/gems/1.8/gems/rake-0.9.2.2/lib/rake/application.rb:82:inload_rakefile'
/usr/lib64/ruby/gems/1.8/gems/rake-0.9.2.2/lib/rake/application.rb:133:in standard_exception_handling' /usr/lib64/ruby/gems/1.8/gems/rake-0.9.2.2/lib/rake/application.rb:81:inload_rakefile'
/usr/lib64/ruby/gems/1.8/gems/rake-0.9.2.2/lib/rake/application.rb:65:in run' /usr/lib64/ruby/gems/1.8/gems/rake-0.9.2.2/lib/rake/application.rb:133:instandard_exception_handling'
/usr/lib64/ruby/gems/1.8/gems/rake-0.9.2.2/lib/rake/application.rb:63:in run' /usr/lib64/ruby/gems/1.8/gems/rake-0.9.2.2/bin/rake:33 /usr/bin/rake:19:inload'
/usr/bin/rake:19

Owner

kulesa commented Jun 27, 2012

I cannot reproduce this. It looks like GanttsController is not loaded. Could you remove the plugin and run the same rake command again? Does it work without the plugin?

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment